Neidio i'r cynnwys

Gemini Omni Flash 1.1 Edit

Integreiddio

ID y model google/gemini-omni-flash/v1.1/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ffeiliau fel yr enghraifft: $1.00 1,000 o gredydau API · ≈ ₽107.58 caiff eich ffeiliau eu mesur cyn y rhediad Ei redeg ar y dudalen hon

Cael allwedd API
Google Fideo i Fideo Allbwn 4KCyflymhyd at 4k #utility#editing#transform

Yn golygu fideo presennol o gyfarwyddyd iaith glir, gydag allbwn hyd at 4k

Google · Fideo

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol 88 / 20000

Cyfarwyddyd syml sy'n pennu'r golygiad dymunol.

•gofynnol video_url
Gollyngwch ffeil, neu

URL sy'n cyfeirio at y fideo ffynhonnell ar gyfer golygu.

resolution rhagosodedig 720p

Cydraniad y fideo ar ôl golygu.

POST /run/google/gemini-omni-flash/v1.1/edit?wait=20 dyfynbris → $1.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Gemini Omni Flash 1.1 Edit

Yn cymryd fideo ffynhonnell drwy `video_url` ac `prompt` hyd at 20000 o nodau sy’n disgrifio’r newid. Disgwylir i weddill yr olygfa aros yn ddigyfnewid. Gall `resolution` fod yn 360p, 720p (diofyn), 1080p neu 4k.

Paramedrau

Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd

EnwMath RhagosodedigCaniateir Disgrifiad
promptgofynnol
Mathstring
≤ 20,000 nod
Cyfarwyddyd syml sy'n pennu'r golygiad dymunol.
video_urlgofynnol video
Mathurl · video
URL sy'n cyfeirio at y fideo ffynhonnell ar gyfer golygu.
resolutiondewisol
Mathenum
Rhagosodedig720p
360p720p1080p4k
Cydraniad y fideo ar ôl golygu.
gofynnol Enw canonaidd, derbyniol hefyd

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/v1.1/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1000,
    "usd": "1.00",
    "charged": 1000,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
video
object {url, content_type, file_name, file_size}Fideo a gynhyrchwyd gan y model.

Mwy o fodelau: Fideo i Fideo

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/google/gemini-omni-flash/v1.1/edit.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt